package com.flyfish.framework.approval.domain;

import com.flyfish.framework.annotations.EnumValue;
import com.flyfish.framework.annotations.Order;
import com.flyfish.framework.annotations.Property;
import com.flyfish.framework.approval.enums.ApproveStatus;
import com.flyfish.framework.domain.authorized.AuthorizedDomain;
import lombok.Getter;
import lombok.Setter;

/**
 * 带审批的查询实体
 *
 * @author wangyu
 */
@Getter
@Setter
public class ApprovalDomainQo extends AuthorizedDomain {

    @Property("审批状态")
    @Order(50)
    @EnumValue(ApproveStatus.class)
    private String status;
}
